Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class SpreadMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              groovy.lang.SpreadMap

    public class SpreadMap
    extends java.util.HashMap

Represents a spreadable map which extends java.util.HashMap.

Authors:
  Pilho Kim

Constructor Summary
`SpreadMap(java.lang.Object[] values)`
`SpreadMap(java.util.Map map)`
`SpreadMap(java.util.List list)` @since 1.8.0

Method Summary
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(SpreadMap that)`
`java.lang.Object` | `get(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map t)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.lang.String` | `toString()` @return the string expression of `this`

Methods inherited from class java.util.HashMap
java.util.HashMap#get(java.lang.Object), java.util.HashMap#put(java.lang.Object, java.lang.Object), java.util.HashMap#values(), java.util.HashMap#clone(), java.util.HashMap#clear(), java.util.HashMap#size(), java.util.HashMap#isEmpty(), java.util.HashMap#remove(java.lang.Object), java.util.HashMap#entrySet(), java.util.HashMap#putAll(java.util.Map), java.util.HashMap#keySet(), java.util.HashMap#containsValue(java.lang.Object), java.util.HashMap#containsKey(java.lang.Object), java.util.HashMap#equals(java.lang.Object), java.util.HashMap#toString(), java.util.HashMap#hashCode(), java.util.HashMap#wait(long), java.util.HashMap#wait(long, int), java.util.HashMap#wait(), java.util.HashMap#getClass(), java.util.HashMap#notify(), java.util.HashMap#notifyAll()

Methods inherited from class java.util.AbstractMap
java.util.AbstractMap#get(java.lang.Object), java.util.AbstractMap#put(java.lang.Object, java.lang.Object), java.util.AbstractMap#equals(java.lang.Object), java.util.AbstractMap#toString(), java.util.AbstractMap#values(), java.util.AbstractMap#hashCode(), java.util.AbstractMap#clear(), java.util.AbstractMap#size(), java.util.AbstractMap#isEmpty(), java.util.AbstractMap#remove(java.lang.Object), java.util.AbstractMap#entrySet(), java.util.AbstractMap#putAll(java.util.Map), java.util.AbstractMap#keySet(), java.util.AbstractMap#containsValue(java.lang.Object), java.util.AbstractMap#containsKey(java.lang.Object), java.util.AbstractMap#wait(long), java.util.AbstractMap#wait(long, int), java.util.AbstractMap#wait(), java.util.AbstractMap#getClass(), java.util.AbstractMap#notify(), java.util.AbstractMap#notifyAll()

Constructor Detail

### SpreadMap

    public SpreadMap(java.lang.Object[] values)

### SpreadMap

    public SpreadMap(java.util.Map map)

### SpreadMap

    public SpreadMap(java.util.List list)

  Parameters:
    `list` - the list to make spreadable
  Since:
    1.8.0

Method Detail

### equals

    public boolean equals(java.lang.Object that)

### equals

    public boolean equals(SpreadMap that)

### get

    public java.lang.Object get(java.lang.Object obj)

### hashCode

    public int hashCode()

### put

    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    public void putAll(java.util.Map t)

### remove

    public java.lang.Object remove(java.lang.Object key)

### size

    public int size()

### toString

    public java.lang.String toString()

  Returns:
    the string expression of `this`

Groovy Documentation